create or replace view OOBJ_CTE_INFCTE_RODO_VEIC as 
select
	 -- infModal > rodo > veic - Dados dos veculos utilizados no transporte da carga.
     null            as id_veic,       -- Chave primria desta tabela
	 null            as id_infcte,     -- Chave estrangeira da tabela OOBJ_CTE_INFCTE
	 null            as veicCInt,      -- Cdigo interno do veculo
	 null            as veicRENAVAM,   -- RENAVAM do veculo
	 null            as veicPlaca,     -- Placa do veculo
	 null            as veicTara,      -- Tara em KG
	 null            as veicCapKG,     -- Capacidade em KG
	 null            as veicCapM3,     -- Capacidade em M3
	 null            as veicTpProp,    -- Tipo de Propriedade de veculo
	 null            as veicTpVeic,    -- Tipo de veculo
	 null            as veicTpRod,     -- Tipo de Rodado
	 null            as veicTpCar,     -- Tipo de Carroceria
	 null            as veicUF,        -- UF em que veculo est licenciado
	 -- infModal > rodo > veic > prop - Informaes dos proprietrios do Veculo
	 null            as propCPF,       -- Nmero do CPF
	 null            as propCNPJ,      -- Nmero do CNPJ
	 null            as propRNTRC,     -- Registro Nacional dos Transportadores Rodovirios de Carga
	 null            as propXNome,     -- Razo Social ou Nome do proprietrio
	 null            as propIE,        -- Inscrio Estadual
	 null            as propUF,        -- UF
	 null            as propTpProp     -- 0-TAC Agregado; 1-TAC Independente; ou 2  Outros.
from <tabela> tab
-- Condio para o extrator Oobj-CTe ler o registro.
where <condition> 