create or replace view OOBJ_CTE_INFDOC_INF_DF as 
select
     -- Informaes dos documentos acobertados pelo CT-e.
     null            as id_infdf,        -- Chave primria desta tabela
     null            as id_infdoc,       -- Chave estrangeira da tabela OOBJ_CTE_ENVIO	 
	 -- infCTeNorm > infDoc > infNF - Informas da Nota Fiscal
	 null            as nRoma,           -- Nmero do Romaneio da NF
	 null            as nPed,            -- Nmero do Pedido da NF
	 null            as mod,             -- Modelo da Nota Fiscal
	 null            as serie,           -- Srie
	 null            as vBC,             -- Valor da Base de Clculo do ICMS
	 null            as vICMS,           -- Valor Total do ICMS
	 null            as vBCST,           -- Valor da Base de Clculo do ICMS ST
     null            as vST,             -- Valor Total do ICMS ST
	 null            as vProd,           -- Valor Total dos Produtos
	 null            as vNF,             -- Valor Total da NF
	 null            as nCFOP,           -- CFOP Predominante
	 null            as nPeso,           -- Peso total em Kg

	  -- infCTeNorm > infDoc > infNFe - Informaes da NF-e
 	 null            as chave,           -- Chave de acesso da NF-e

	  -- infCTeNorm > infDoc > infOutros - Informao dos demais documentos
	 null            as tpDoc,           -- Tipo de documento originrio
	 null            as descOutros,      -- Descrio quando se tratar de 99-Outros
	 null            as vDocFisc,        -- Valor do documento
	 
	 -- Tipos genericos que se repetem em mais de um tipo de documento.
	 null            as nDoc,            -- Nmero do documento (infNF e infOutros)
	 null            as dEmi,            -- Data de Emisso do documento (infNF e infOutros)
	 null            as pIN,             -- PIN SUFRAMA (infNF e infNFe)
	 null            as dPrev            -- Data prevista de entrega (infNFe e infOutros)
from <tabela> tab
-- Condio para o extrator Oobj-CTe ler o registro.
where <condition> 