create or replace view OOBJ_CTE_EVENTOS as 
select
     null            as id_evento,     -- Chave primria desta tabela
	 null			 as versaoEvento,  -- Verso do evento
	 null            as cOrgao,        -- Cdigo do rgo (UF)
	 null            as tpAmb,         -- Tipo de ambiente
	 null            as autorEvento,   -- CNPJ do emitente do evento
	 null            as chCTe,         -- Chave de Acesso do CT-e associado
	 null            as dhEvento,      -- Data e hora do evento
	 null            as tpEvento,      -- Tipo do evento
	 null            as nSeqEvento,    -- Nmero sequencial do evento

	 -- Dados de evento de Cancelamento (tpEvento = 110111)
	 null            as cancNProt,     -- Nmero de protocolo de autorizao
	 null            as cancXJust,     -- Justificativa de cancelamento

	 -- Dados de evento de Registro Multimodal (tpEvento = 110160)
	 null            as regMModalXRegistro, -- Informao complementar sobre o registro (texto livre)
	 null            as regMModalNDoc,      -- Nmero do documento lanado no multimodal

	 -- Dados de Evento Prvio de Emisso em Contingncia (EPEC, tpEvento = 110113)
	 null            as epecXJust,       -- Justificativa de entrada em contingncia
	 null            as epecVICMS,       -- Valor do ICMS
	 null            as epecVTPrest,     -- Valor total da prestao do servio
	 null            as epecVCarga,      -- Valor total da carga
	 null            as epecToma,        -- Tomador do Servio
	 null            as epecTomaUF,      -- UF do Tomador do Servio
	 null            as epecTomaCPFCNPJ, -- CPF ou CNPJ do Tomador do Servio
	 null            as epecTomaIE,      -- Inscrio Estadual do Tomador do Servio
	 null            as epecModal,       -- Modal
	 null            as epecUFIni,       -- UF do incio da prestao
	 null            as epecUFFim        -- UF do trmino da prestao
from <tabela> tab
-- Condio para o extrator Oobj-CTe ler o registro.
where <condition> 